package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TemplateTable;

/**
 * 证书模板Mapper接口
 * 
 * @author ruoyi
 * @date 2022-12-07
 */
public interface TemplateTableMapper 
{
    /**
     * 查询证书模板
     * 
     * @param id 证书模板主键
     * @return 证书模板
     */
    public TemplateTable selectTemplateTableById(Long id);

    /**
     * 查询证书模板列表
     * 
     * @param templateTable 证书模板
     * @return 证书模板集合
     */
    public List<TemplateTable> selectTemplateTableList(TemplateTable templateTable);

    /**
     * 新增证书模板
     * 
     * @param templateTable 证书模板
     * @return 结果
     */
    public int insertTemplateTable(TemplateTable templateTable);

    /**
     * 修改证书模板
     * 
     * @param templateTable 证书模板
     * @return 结果
     */
    public int updateTemplateTable(TemplateTable templateTable);

    /**
     * 删除证书模板
     * 
     * @param id 证书模板主键
     * @return 结果
     */
    public int deleteTemplateTableById(Long id);

    /**
     * 批量删除证书模板
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTemplateTableByIds(Long[] ids);
}
